#!/usr/bin/env deno run --allow-read --allow-write

const files = [...Deno.readDirSync(".")].filter((f) => {
  const name = f.name;
  if (!name || name === "mod.ts") return false;
  return name.endsWith(".ts") && !name.endsWith("_test.ts") &&
    !name.endsWith(".d.ts");
}).map((f) => f.name).sort();
let content = "// Generated by tools/make_mod.ts. Don't edit.\n";
for (const f of files) {
  content += `export * from "./${f}";\n`;
}
Deno.writeFileSync("mod.ts", new TextEncoder().encode(content));
